Subject: Re: Belt sanders

From: Paul Worth <[email-masked]>
Date: Thu, 27 Mar 1997 16:06:13 -0500

IbDegen2 wrote:
> 
> In article <[email-masked]>, G Potter <[email-masked]> writes:
> 
> >
> >Any recommendations on a belt sander in the $100-130 range? Checked Deja
> >news but couldn't get much info. TIA!
> 
> I just saw a reconditioned 4" Ryobi electronic variable speed heavy duty
> belt sander in Trendlines for $150.  If I didn't already have a belt
> sander that works fine, I'd jump on the deal (I hope I don't jinx my
> trusty ol' BS).
> 
I have the same sander but in the 3" x 21" model.  It has been great!

-=Paul Worth=-
[email-masked]